<?php
#
# Copyright (c) 2009 Jan ONDREJ (SAL) (ondrejj(at)salstar.sk)
# Plugin: check_mysql_perf
#

global $ds_name, $opt, $def;

$ds_name[1]='Questions';
$opt[1] = 
  "--vertical-label \"Questions/s\" --title \"Questions/s ($servicedesc)\" ";
$def[1] = "DEF:pvar1=$rrdfile:$DS[1]:AVERAGE " ;
$def[1] .= "DEF:pvar2=$rrdfile:$DS[2]:AVERAGE " ;
$def[1] .= "CDEF:var1=pvar1,0,MAX " ;
$def[1] .= "CDEF:var2=pvar2,0,MAX " ;
$def[1] .= "LINE1:var1#00CC00:\"Questions   \" " ;
$def[1] .= "GPRINT:var1:LAST:\"%7.2lf %s last\" " ;
$def[1] .= "GPRINT:var1:AVERAGE:\"%7.2lf %s avg\" " ;
$def[1] .= "GPRINT:var1:MAX:\"%7.2lf %s max\\n\" " ;
$def[1] .= "LINE1:var2#CC0000:\"Slow queries\" " ;
$def[1] .= "GPRINT:var2:LAST:\"%7.2lf %s last\" " ;
$def[1] .= "GPRINT:var2:AVERAGE:\"%7.2lf %s avg\" " ;
$def[1] .= "GPRINT:var2:MAX:\"%7.2lf %s max\\n\" ";

function gen($index, $gen_ds, $gen_name) {
  global $ds_name, $opt, $def, $rrdfile, $servicedesc;
  $ds_name[$index] = "$gen_name";
  $opt[$index] = 
    "--vertical-label \"$gen_name\" --title \"$gen_name ($servicedesc)\" ";
  $def[$index] = "DEF:pvar1=$rrdfile:$gen_ds:AVERAGE " ;
  $def[$index] .= "CDEF:var1=pvar1,0,MAX " ;
  $def[$index] .= "AREA:var1#EACC00:\"$gen_name\" " ;
  $def[$index] .= "LINE1:var1#000000:\"\" " ;
  $def[$index] .= "GPRINT:var1:LAST:\"%7.2lf %s last\" " ;
  $def[$index] .= "GPRINT:var1:AVERAGE:\"%7.2lf %s avg\" " ;
  $def[$index] .= "GPRINT:var1:MAX:\"%7.2lf %s max\\n\" " ;
}

gen(2, "$DS[3]", "Opens");
gen(3, "$DS[4]", "Flush tables");
gen(4, "$DS[5]", "Open tables");
gen(5, "$DS[6]", "Threads");

?>
